/**
 *
 *
  _____                      _              _ _ _     _   _     _        __ _ _
 |  __ \                    | |            | (_) |   | | | |   (_)      / _(_) |
 | |  | | ___    _ __   ___ | |_    ___  __| |_| |_  | |_| |__  _ ___  | |_ _| | ___
 | |  | |/ _ \  | '_ \ / _ \| __|  / _ \/ _` | | __| | __| '_ \| / __| |  _| | |/ _ \
 | |__| | (_) | | | | | (_) | |_  |  __/ (_| | | |_  | |_| | | | \__ \ | | | | |  __/
 |_____/ \___/  |_| |_|\___/ \__|  \___|\__,_|_|\__|  \__|_| |_|_|___/ |_| |_|_|\___|


 * DO NOT EDIT THIS FILE!!
 *
 *  TO CUSTOMIZE UserBase PLEASE EDIT ../user.ts
 *
 *  -- THIS FILE WILL BE OVERWRITTEN ON THE NEXT SKAFFOLDER'S CODE GENERATION --
 *
 */
import { Perfil } from '../perfil';
import { Suscripcion } from '../suscripcion';
import { UsuarioPerfil } from '../usuario-perfil';

/**
 * This is the model of User object
 *
 */
export class UserBase {

    constructor() { }

    public idUser!: number;
    public recuperar!: string;
    public apellidos!: string;
    public contrasenia!: string;
    public passwordNewConfirm!: string;
    public correo!: string;
    public nombres!: string;
    public perfiles!: Perfil[];
    public expires_in?:number;
    public isAnonymous?:string;
}
